$(function () {
    function ValidTemp() {
        var TTSName = $("#TTSName"),
            Box = $("#Box"),
            MCT = $("#MCT"),
            Ips = $("#Ips"),
            BW = $("#BW"),
            Flow = $("#Flow")
        allFields = $([])
                .add(TTSName)
                .add(Box)
                .add(MCT)
                .add(Ips)
                .add(BW)
                .add(Flow)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(TTSName, "模版名称", 1, 50);
        bValid = bValid && checkNumlength(Box, "机箱", 0, 2147483647);
        bValid = bValid && checkNumlength(MCT, "机柜", 0, 2147483647);
        bValid = bValid && checkNumlength(BW, "带宽", 1, 2147483647);
        bValid = bValid && checkNumlength(Ips, "IP数量", 1, 2147483647);
        bValid = bValid && checkNumlength(Flow, "流量", 0, 2147483647);
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
    $("#ServerHome").change(function () {
        if ($(this).val() != 0) {
            $(".serverpricelink").html("<a href=\"Default.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".serverpricelink").html("");
        }
    });
    $("#Box").change(function () {
        if ($(this).val() != 0) {
            $(".boxlink").html("<a href=\"Box.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".boxlink").html("");
        }
    });
    $("#MCT").change(function () {
        if ($(this).val() != 0) {
            $(".mctlink").html("<a href=\"MCT.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".mctlink").html("");
        }
    });
});